import { SVGBase } from './common';
import { SVGItem } from './Elements/SVGItem';
export * from './Elements';
export declare class SvgData {
    native: any;
    static fromNative(value: any): SvgData;
    get width(): number;
    get height(): number;
    get data(): ArrayBuffer | null;
}
export declare class Svg extends SVGBase {
    _svg: any;
    constructor();
    createNativeView(): any;
    get native(): any;
    setSvgData(value: SvgData): void;
    __redraw(): void;
    onLoaded(): void;
    onUnloaded(): void;
    addChild(view: SVGItem): void;
    removeChild(view: SVGItem): void;
    static fromSrcSync(value: string): SvgData | null;
    static fromSrc(value: string): Promise<SvgData>;
}
